{"components":{"schemas":{"Activity":{"properties":{"industryCode":{"description":"Industry code for the company´s activity","type":"string"},"industryText":{"description":"Textual description of the industry code","type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanyActivity":{"properties":{"activityDescription":{"description":"Description of the company´s activity","type":"string"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company","type":"string"},"institutionalSector":{"allOf":[{"$ref":"#/components/schemas/InstitutionalSector"}],"description":"Company institutional sector"},"mainActivity":{"allOf":[{"$ref":"#/components/schemas/Activity"}],"description":"Company main activity"},"otherActivities":{"description":"Additional activities","items":{"$ref":"#/components/schemas/Activity"},"type":"array"},"registeredPurpose":{"description":"Purpose of the company according to articles of association","type":"string"},"supportingActivities":{"description":"Company supporting activities","items":{"$ref":"#/components/schemas/SupportingActivity"},"type":"array"}},"type":"object"},"CompanyActivityResults":{"description":"Roaring Apps company activity results","properties":{"records":{"description":"found activity results","items":{"$ref":"#/components/schemas/CompanyActivity"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"InstitutionalSector":{"properties":{"sectorCode":{"description":"Institutional sector code (Insekt code)","type":"string"},"sectorText":{"description":"Institutional sector text","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"SupportingActivity":{"properties":{"supportingActivitiesCode":{"description":"Code for activity carrried out for group companies","type":"string"},"supportingActivitiesText":{"description":"Textual description for  activity carrried out for group companies","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Activity of the company including additional activities\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company Activity","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-desc-sni-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"Includes main activity and additional activities","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyActivityResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch company activity","tags":["ActivityNo"]}},"/history/{companyId}":{"get":{"description":"Changes of the company's activities within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyActivityResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history activities by company id","tags":["ActivityNo"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/activity/1.0"}],"x-category":"company","x-countries":["no"],"x-id":"ActivityApiNo"}